Package org.eclipse.mat.hprof.acquire

## Class JMapHeapDumpProvider

- java.lang.Object
- - org.eclipse.mat.hprof.acquire.JMapHeapDumpProvider

All Implemented Interfaces:
  `IHeapDumpProvider`

    public class JMapHeapDumpProvider
    extends java.lang.Object
    implements IHeapDumpProvider

### Field Summary

Fields
`boolean` `defaultChunked`
`boolean` `defaultCompress`
`boolean` `defaultLive`
`java.io.File` `jdkHome`
`java.util.List<java.io.File>` `jdkList`

### Constructor Summary

Constructors
`JMapHeapDumpProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.io.File` `acquireDump​(VmInfo info, java.io.File preferredLocation, IProgressListener listener)` Acquire a heap dump from a locally running Java process.
`java.util.List<JmapVmInfo>` `getAvailableVMs​(IProgressListener listener)` Returns a list of locally running Java processes from which the heap dump provider can attempt to acquire a heap dump

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### jdkHome

    public java.io.File jdkHome

#### jdkList

    public java.util.List<java.io.File> jdkList

#### defaultCompress

    public boolean defaultCompress

#### defaultChunked

    public boolean defaultChunked

#### defaultLive

    public boolean defaultLive

### Constructor Detail

#### JMapHeapDumpProvider

    public JMapHeapDumpProvider()

### Method Detail

#### acquireDump

    public java.io.File acquireDump​(VmInfo info,
                                    java.io.File preferredLocation,
                                    IProgressListener listener)
                             throws SnapshotException

Description copied from interface: `IHeapDumpProvider`
Acquire a heap dump from a locally running Java process. The

Specified by:
  `acquireDump` in interface `IHeapDumpProvider`
Parameters:
  `info` - a descriptor of the Java process which should be dumped
  `preferredLocation` - a preferred filename under which the heap dump should be saved. The `IHeapDumpProvider` is not obliged to provide the heap dump at this location
  `listener` - a progress listener
Returns:
  the File under which the successfully generated heap dump is saved
Throws:
  `SnapshotException`

#### getAvailableVMs

    public java.util.List<JmapVmInfo> getAvailableVMs​(IProgressListener listener)
                                               throws SnapshotException

Description copied from interface: `IHeapDumpProvider`
Returns a list of locally running Java processes from which the heap dump provider can attempt to acquire a heap dump

Specified by:
  `getAvailableVMs` in interface `IHeapDumpProvider`
Parameters:
  `listener` - a progress listener
Returns:
  A List of VMs, of a type which extends `VmInfo`.
Throws:
  `SnapshotException`